> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new document for an organization.

> Add a new document to an organization entity.



## OpenAPI

````yaml /specs/fc-kyb-bundled_generated.yaml post /v2/organizations/{entityId}/documents
openapi: 3.0.3
info:
  title: KYB V2 API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for native v2 KYB. Currently in
    development, changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Organization Workflows
    description: Manage workflows and executions for organizations
  - name: Hosted URL
    description: Api calls related to Hosted URL
  - name: Organization Relationships
    description: Manage relationships for organizations
  - name: Organization Addresses
    description: Manage addresses for organizations
  - name: Organization Custom Attributes
    description: Manage custom attributes for organizations
  - name: Organization Monitoring
    description: Manage AML monitoring for organizations
  - name: Organization Results
    description: Manage results for organizations
paths:
  /v2/organizations/{entityId}/documents:
    parameters:
      - $ref: '#/components/parameters/entityId'
      - $ref: '#/components/parameters/levelQuery'
    post:
      tags:
        - Organization Documents
      summary: Create a new document for an organization.
      description: Add a new document to an organization entity.
      operationId: createOrganizationDocuments
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                document:
                  $ref: '#/components/schemas/Document-Create'
                comment:
                  $ref: '#/components/schemas/Comment'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Entity-Document-Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Unable to retrieve entity:
                  value:
                    errorCode: ENT-1010,
                    errorMsg: Unable to retrieve requested entity
                    details:
                      - issue: entityId
                        issueLocation: >-
                          Cannot retrieve entityId
                          (027d1e3d-95af-f19a-313a-3b869da9ce10)
                    requestId: 01HM5EM2QNNSC9K0PX9VC06HX3
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Internal Server Error:
                  value:
                    errorCode: SYS-1063,
                    errorMsg: Failed to generate KYC report
                    requestId: 01HM5EM2QNNSC9K0PX9VC06HX3
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyb:api
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    levelQuery:
      name: level
      in: query
      schema:
        type: string
        default: meta
        enum:
          - id
          - meta
          - base64
      description: |-
        Determines what level of detail to return in the response
         - id: Return just an id
         - meta: Return all metadata only, no links or base64 data
         - base64: Return all metadata and data in base64 format
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
  schemas:
    Document-Create:
      title: DocumentCreate
      type: object
      allOf:
        - type: object
          properties:
            class:
              $ref: '#/components/schemas/Document-Class'
        - $ref: '#/components/schemas/Document-Information'
    Comment:
      type: object
      properties:
        commentId:
          type: string
          description: Unique identifier for the comment
          format: ulid
          example: 01K3G4CCQ3DY3B1413S19M9QW1
          readOnly: true
        text:
          type: string
          description: The text content of the comment.
          example: Update after speaking to customer over the phone directly.
        entityId:
          $ref: '#/components/schemas/Entity-ID-Writeable'
        entityType:
          $ref: '#/components/schemas/Entity-Type-Writeable'
    Organizations-Entity-Document-Response:
      type: object
      required:
        - requestId
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        document:
          $ref: '#/components/schemas/Document-Information'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Document-Class:
      type: string
      enum:
        - OTHER
        - IDENTITY
        - SUPPORTING
        - REPORT
      description: >-
        The classification of the document, indicating how it should be used or
        interpreted.
      example: IDENTITY
    Document-Information:
      type: object
      required:
        - type
        - country
      properties:
        class:
          $ref: '#/components/schemas/Document-Class'
        documentId:
          $ref: '#/components/schemas/Document-ID'
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        expiryDate:
          $ref: '#/components/schemas/Date'
          description: The expiry date of the document in YYYY-MM-DD format.
        issueDate:
          $ref: '#/components/schemas/Date'
          description: The issue date of the document in YYYY-MM-DD format.
        primaryIdentifier:
          type: string
          description: >-
            The primary ID number of the document, e.g., the ID number on a
            driver licence.
          example: '000734130'
          x-oapi-codegen-extra-tags:
            audit: mask
        secondaryIdentifier:
          type: string
          description: >-
            The secondary ID number of the document, e.g., the card number on a
            driver licence.
          example: P0001975
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Document-Type'
        subtype:
          type: string
          description: >-
            The sub-type of the document, if relevant. This can include specific
            report or attestation types, e.g., FACIAL_COMPARISON (attestation)
            or KYC (report).
          example: Photo Comparison
          x-oapi-codegen-extra-tags:
            audit: keep
        subdivision:
          type: string
          description: >-
            The abbreviated ISO 3166 subdivision/region where the ID was issued,
            e.g., "VIC" for the Australian state of Victoria or "MA" for the US
            state of Massachusetts.
          example: VIC
          x-oapi-codegen-extra-tags:
            audit: keep
        country:
          type: string
          maxLength: 3
          description: >-
            The ISO 3166 alpha-3 country code where the document was issued, if
            relevant.

            For more information, please refer to:
            https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes
          example: AUS
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was created, in ISO 8601
            format.
          example: '2024-01-15T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          description: >-
            The date and time when the document record was last updated, in ISO
            8601 format.
          example: '2025-01-16T02:18:11.365Z'
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        validFrom:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document began, if
            applicable.
        validTo:
          $ref: '#/components/schemas/Date'
          description: >-
            The date when the validity period for this document ended, if
            applicable.
        sourceId:
          type: string
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          example: 324f15f64-5717-4562-b3fc-2c963f66ffa1
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        supplementaryData:
          $ref: '#/components/schemas/Document-Supplementary-Data'
        customAttributes:
          $ref: '#/components/schemas/Custom-Attributes'
        attachments:
          type: array
          description: >-
            List of scans, pages, or files for a single document, e.g., front
            and back images of a driver licence, or page 1, 2, and 3 of a
            supporting document.


            Attachments can be uploaded in a single call or in multiple calls.
            To upload attachments over multiple calls, include the documentId in
            the request.
          items:
            $ref: '#/components/schemas/Document-Attachment'
    Entity-ID-Writeable:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
    Entity-Type-Writeable:
      type: string
      enum:
        - INDIVIDUAL
        - ORGANIZATION
        - UNKNOWN
      description: >-
        The type of entity within Frankie. This can be "INDIVIDUAL",
        "ORGANIZATION", or "UNKNOWN".
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Document-ID:
      type: string
      format: uuid
      description: >-
        As documents are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify a document, include the documentId in an update request.
      example: 92de15f64-5717-4562-b3fc-2c963f6665a7
      x-oapi-codegen-extra-tags:
        audit: keep
    Date:
      type: object
      allOf:
        - $ref: '#/components/schemas/Date-Base'
        - type: object
          properties:
            normalized:
              type: string
              format: date
              description: >-
                Full date in ISO 8601 format ("YYYY-MM-DD"). This is a read-only
                field.
              example: '1990-03-31'
              readOnly: true
              x-oapi-codegen-extra-tags:
                audit: mask
    Document-Type:
      type: string
      enum:
        - OTHER
        - DRIVERS_LICENSE
        - PASSPORT
        - VISA
        - IMMIGRATION
        - NATIONAL_ID
        - TAX_ID
        - NATIONAL_HEALTH_ID
        - CONCESSION
        - HEALTH_CONCESSION
        - PENSION
        - MILITARY_ID
        - BIRTH_CERT
        - CITIZENSHIP
        - MARRIAGE_CERT
        - DEATH_CERT
        - NAME_CHANGE
        - UTILITY_BILL
        - BANK_STATEMENT
        - BANK_ACCOUNT
        - INTENT_PROOF
        - ATTESTATION
        - SELF_IMAGE
        - DEVICE
        - VEHICLE_REGISTRATION
        - PROOF_OF_ADDRESS
        - HOUSE_REGISTRATION
        - YELLOW_HOUSE_REGISTRATION
        - WORK_PERMIT
        - EMPLOYMENT_CERTIFICATE
        - NOTARY_PUBLIC_ID
        - EXTERNAL_ADMIN
        - CHARGES
        - PRE_ASIC
        - ANNUAL_RETURN
        - REPORT
        - TRUST_DEED
        - DEED_OF_VARIATION
        - REGISTER_OF_UNIT_HOLDERS
        - PARTNERSHIP_AGREEMENT
        - ADMIN_CHANGE
        - COMPANY_REPORT
        - CHECK_RESULTS
        - AVIATION_SECURITY_ID
        - MARITIME_SECURITY_ID
        - ORGANIZATION_PROFILE
        - ORGANIZATION_OWNERSHIP
      description: |-
        Valid document ID types.

          - "OTHER": Generic document type. Unspecified.
          - "DRIVERS_LICENSE": Driver's license.
          - "PASSPORT": Passport.
          - "VISA": Visa document (not Visa payment card).
          - "IMMIGRATION": Immigration card.
          - "NATIONAL_ID": Any national ID card.
          - "TAX_ID": Any national tax identifier.
          - "NATIONAL_HEALTH_ID": Any national health program ID card (e.g., Medicare, NHS).
          - "CONCESSION": State-issued concession card.
          - "HEALTH_CONCESSION": State-issued health-specific concession card.
          - "PENSION": State-issued pension ID.
          - "MILITARY_ID": Military ID.
          - "BIRTH_CERT": Birth certificate.
          - "CITIZENSHIP": Citizenship certificate.
          - "MARRIAGE_CERT": Marriage certificate.
          - "DEATH_CERT": Death certificate.
          - "NAME_CHANGE": Name change confirmation.
          - "UTILITY_BILL": Regulated utility bill, such as electricity, gas, etc.
          - "BANK_STATEMENT": Bank/card statement.
          - "BANK_ACCOUNT": Bank account.
          - "INTENT_PROOF": Proof of intent, generally a photo/video or a scanned letter.
          - "ATTESTATION": Document of attestation (e.g., Statutory Declaration).

          NOTE: These cannot be used as a supporting document:
          - "SELF_IMAGE": A "selfie" used for comparisons.
          - "DEVICE": Device ID.
          - "VEHICLE_REGISTRATION": Vehicle registration number.
          - "PROOF_OF_ADDRESS": Any document that provides proof of address.
          - "HOUSE_REGISTRATION": House registration document.
          - "YELLOW_HOUSE_REGISTRATION": Yellow House Registration Thor Ror 13.
          - "WORK_PERMIT": Work permit.
          - "EMPLOYMENT_CERTIFICATE": Certificate of employment.
          - "NOTARY_PUBLIC_ID": Notary Public Identification.

          Business-related documentation:

          - "EXTERNAL_ADMIN": Details of appointed administrator.
          - "CHARGES": Details of any charges laid against a company or director.
          - "PRE_ASIC": Any documents that are Pre-ASIC.
          - "ANNUAL_RETURN": Details of a company's annual return.
          - "REPORT": Frankie-generated report.
          - "TRUST_DEED": Corporate trust deed.
          - "DEED_OF_VARIATION": Deed of variation document.
          - "REGISTER_OF_UNIT_HOLDERS": Register of unit holders document.
          - "PARTNERSHIP_AGREEMENT": Partnership agreement documents.
          - "ADMIN_CHANGE": Change of administrator.
          - "COMPANY_REPORT": Registry-filed company reports.
          - "ORGANIZATION_PROFILE": Organization profile document.
          - "ORGANIZATION_OWNERSHIP": Organization ownership document.

          Special document types:

          - "CHECK_RESULTS": Special document type for specifying results of checks completed other than through Frankie.
          - "AVIATION_SECURITY_ID": Aviation Security Identification Card.
          - "MARITIME_SECURITY_ID": Maritime Security Identification Card.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Supplementary-Data:
      type: object
      description: >-
        Supplementary information relevant to a specific document or report
        type.
      oneOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-Health-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
        - $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
        - $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
        - $ref: >-
            #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
      discriminator:
        propertyName: type
        mapping:
          NATIONAL_HEALTH_ID:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-National-Health-ID
          BIRTH_CERT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Birth-Certificate'
          NATIONAL_ID:
            $ref: '#/components/schemas/Document-Supplementary-Data-National-ID'
          CITIZENSHIP:
            $ref: '#/components/schemas/Document-Supplementary-Data-Citizenship'
          PASSPORT:
            $ref: '#/components/schemas/Document-Supplementary-Data-Passport'
          MARRIAGE_CERT:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Marriage-Certificate
          NAME_CHANGE:
            $ref: >-
              #/components/schemas/Document-Supplementary-Data-Name-Change-Certificate
    Custom-Attributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Attribute'
    Document-Attachment:
      type: object
      required:
        - data
      description: Document attachment details.
      properties:
        attachmentId:
          $ref: '#/components/schemas/Document-Attachment-ID'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          readOnly: true
          format: date-time
          description: >-
            The date and time the attachment was created. This is not the date
            of the attached document, which should be in the idIssued attribute
            of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the attachment was last updated. This is not the
            date of the attached document, which should be in the idIssued
            attribute of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        filename:
          type: string
          description: >-
            If you are uploading a file where it is important to keep the
            original filename, you can provide it here. Otherwise, the Frankie
            service will assign an arbitrary name based on the attachmentId and
            an extension based on the MIME type.
          x-oapi-codegen-extra-tags:
            audit: mask
        mimeType:
          type: string
          description: >-
            The standard MIME type of the file being uploaded. This will be
            verified, but providing it can help speed up processing.
          x-oapi-codegen-extra-tags:
            audit: keep
        pageNumber:
          type: integer
          description: >-
            If uploading multiple pages, this can be used to track page numbers.
            There is no enforcement of these numbers. You can have multiple page
            1's or a page 29 if you wish.
          x-oapi-codegen-extra-tags:
            audit: keep
        side:
          $ref: '#/components/schemas/Document-Attachment-Side'
        type:
          $ref: '#/components/schemas/Document-Attachment-Type'
        location:
          description: Reference to where the data can be retrieved from.
          type: string
          x-oapi-codegen-extra-tags:
            audit: keep
        data:
          $ref: '#/components/schemas/Data-URI-Base64'
        lastMalwareScanAt:
          type: string
          format: date-time
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievalStatus:
          $ref: '#/components/schemas/Document-Attachment-Retrieval-Status'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Date-Base:
      type: object
      properties:
        year:
          type: string
          description: Year in "YYYY" format.
          example: '1990'
          x-oapi-codegen-extra-tags:
            audit: mask
        month:
          type: string
          description: Month in "MM" format.
          example: '03'
          x-oapi-codegen-extra-tags:
            audit: mask
        day:
          type: string
          description: Day in "DD" format.
          example: '27'
          x-oapi-codegen-extra-tags:
            audit: mask
        unstructured:
          type: string
          description: >-
            Raw date format without normalization or standardization to the
            Gregorian calendar.

            This can be used to provide non-Gregorian dates (e.g., Islamic
            dates).
          example: 12 Rajab 1445 AH
          x-oapi-codegen-extra-tags:
            audit: mask
        type:
          $ref: '#/components/schemas/Date-Type'
    Document-Supplementary-Data-National-Health-ID:
      type: object
      description: Supplementary information relevant to a national health id.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          properties:
            reference:
              type: string
              description: >-
                The individual reference number used to identify the position of
                the applicant's name on the health card. Required for Australian
                Medicare cards (this is the number to the left of the name on
                the card).
              example: '1'
              x-oapi-codegen-extra-tags:
                audit: keep
            nameOnCardLine1:
              type: string
              description: The individual's name as it appears on the card.
              x-oapi-codegen-extra-tags:
                audit: mask
            nameOnCardLine2:
              type: string
              description: >-
                If the individual's name spans more than one line, this is the
                part of the name that appears on line 2.
              x-oapi-codegen-extra-tags:
                audit: mask
            nameOnCardLine3:
              type: string
              description: >-
                If the individual's name spans more than two lines, this is the
                part of the name that appears on line 3.
              x-oapi-codegen-extra-tags:
                audit: mask
            nameOnCardLine4:
              type: string
              description: >-
                If the individual's name spans more than three lines, this is
                the part of the name that appears on line 4.
              x-oapi-codegen-extra-tags:
                audit: mask
            middleNameOnCard:
              type: string
              description: >-
                The individual's middle name or initial as it appears on the
                card.
              x-oapi-codegen-extra-tags:
                audit: mask
    Document-Supplementary-Data-Birth-Certificate:
      type: object
      description: Supplementary information relevant to a birth certificate.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          description: Supplementary information relevant to a birth certificate.
          properties:
            registrationDate:
              type: string
              description: The date the birth was registered.
              example: '2000'
              x-oapi-codegen-extra-tags:
                audit: mask
            registrationDistrict:
              type: string
              description: The district where the birth was registered.
              example: Sydney
              x-oapi-codegen-extra-tags:
                audit: keep
            dateOfPrint:
              type: string
              description: The date the birth certificate was printed.
              example: '2000'
              x-oapi-codegen-extra-tags:
                audit: keep
            givenName:
              type: string
              description: The given name as printed on the certificate.
              x-oapi-codegen-extra-tags:
                audit: mask
            otherNames:
              type: string
              description: Other name(s) as printed on the certificate.
              x-oapi-codegen-extra-tags:
                audit: mask
            familyName:
              type: string
              description: The family name as printed on the certificate.
              x-oapi-codegen-extra-tags:
                audit: mask
            countryOfBirth:
              type: string
              description: >-
                The country of birth as printed on the certificate. ISO 3166-1
                alpha-3 code.
              example: AUS
              x-oapi-codegen-extra-tags:
                audit: keep
    Document-Supplementary-Data-National-ID:
      type: object
      description: Supplementary information relevant to a national ID.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          properties:
            homeCountryFullName:
              type: string
              description: >-
                The original full name from the individual's home country
                national ID.
              example: 张伟明
              x-oapi-codegen-extra-tags:
                audit: mask
            paternalFamilyName:
              type: string
              description: The individual's family name inherited from the father's side.
              example: MENDOZA
              x-oapi-codegen-extra-tags:
                audit: mask
            maternalFamilyName:
              type: string
              description: The individual's family name inherited from the mother's side.
              example: GARCIA
              x-oapi-codegen-extra-tags:
                audit: mask
    Document-Supplementary-Data-Citizenship:
      type: object
      description: Supplementary information relevant to a citizenship certificate.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          description: Supplementary information relevant to a citizenship certificate.
          properties:
            acquisitionDate:
              type: string
              description: The date citizenship was acquired.
              example: 2000/01/01
              x-oapi-codegen-extra-tags:
                audit: mask
            primaryCountry:
              type: string
              description: >-
                The primary country of citizenship, represented by its
                three-letter ISO 3166-1 alpha-3 code.
              example: USA
              x-oapi-codegen-extra-tags:
                audit: keep
            secondaryCountry:
              type: string
              description: >-
                The secondary country of citizenship, if applicable, represented
                by its three-letter ISO 3166-1 alpha-3 code.
              example: CAN
              x-oapi-codegen-extra-tags:
                audit: keep
    Document-Supplementary-Data-Passport:
      type: object
      description: Supplementary information relevant to a national health id.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          properties:
            homeCountryFullName:
              type: string
              description: The original name from the home country of passport.
              example: 张伟明
              x-oapi-codegen-extra-tags:
                audit: mask
    Document-Supplementary-Data-Marriage-Certificate:
      type: object
      description: Supplementary information relevant to a marriage certificate.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          description: Supplementary information relevant to a marriage certificate.
          properties:
            partner1GivenName:
              type: string
              description: The given name of partner 1.
              example: Harry
              x-oapi-codegen-extra-tags:
                audit: mask
            partner1FamilyName:
              type: string
              description: The family name of partner 1.
              example: Versailles
              x-oapi-codegen-extra-tags:
                audit: mask
            partner1OtherName:
              type: string
              description: The other name of partner 1.
              example: S.
              x-oapi-codegen-extra-tags:
                audit: mask
            partner2GivenName:
              type: string
              description: The given name of partner 2.
              example: Harry
              x-oapi-codegen-extra-tags:
                audit: mask
            partner2FamilyName:
              type: string
              description: The family name of partner 2.
              example: Versailles
              x-oapi-codegen-extra-tags:
                audit: mask
            partner2OtherName:
              type: string
              description: The other name of partner 2.
              example: S.
              x-oapi-codegen-extra-tags:
                audit: mask
            registrationDate:
              type: string
              description: The date the marriage was registered.
              example: '2023'
              x-oapi-codegen-extra-tags:
                audit: mask
            marriageDate:
              type: string
              description: The date the marriage was held.
              example: '2023-10-01'
              x-oapi-codegen-extra-tags:
                audit: mask
            dateOfPrint:
              type: string
              description: The date the birth certificate was printed.
              example: '2023-10-01'
              x-oapi-codegen-extra-tags:
                audit: mask
    Document-Supplementary-Data-Name-Change-Certificate:
      type: object
      description: Supplementary information relevant to a name change certificate.
      allOf:
        - $ref: '#/components/schemas/Document-Supplementary-Data-Base'
        - type: object
          description: Supplementary information relevant to a name change certificate.
          properties:
            dateOfPrint:
              type: string
              description: The date the name change certificate was printed.
              example: 2000/01/01
              x-oapi-codegen-extra-tags:
                audit: keep
            registrationDate:
              type: string
              description: The date the name change certificate was registered.
              example: 2000/01/01
              x-oapi-codegen-extra-tags:
                audit: keep
            registeredFamilyName:
              type: string
              description: The family name registered in the name change certificate.
              example: Doe
              x-oapi-codegen-extra-tags:
                audit: mask
            registeredGivenName:
              type: string
              description: The given name registered in the name change certificate.
              example: John
              x-oapi-codegen-extra-tags:
                audit: mask
            registeredOtherGivenNames:
              type: string
              description: Other given names registered in the name change certificate.
              example: Roy Michael
              x-oapi-codegen-extra-tags:
                audit: mask
    Attribute:
      type: object
      required:
        - type
        - value
      properties:
        type:
          description: The attribute type.
          type: string
          maxLength: 64
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          description: The value assigned to the attribute.
          type: string
          x-oapi-codegen-extra-tags:
            audit: mask
    Document-Attachment-ID:
      type: string
      format: uuid
      description: >-
        When a document attachment is created or uploaded, it is assigned an
        attachmentId. This identifier will appear in a successful response or
        accepted response. It can be referenced in subsequent calls if you are
        uploading additional or updated data.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Attachment-Side:
      type: string
      enum:
        - FRONT
        - BACK
      description: >-
        Indicates whether the attachment is the front or back side of a
        document.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Attachment-Type:
      type: string
      description: |-
        General types of valid document attachments.
          - "PHOTO": Any photo.
          - "VIDEO": Any video.
          - "AUDIO": Any audio.
          - "PDF": PDF or PS file (may contain text, images, or both).
          - "DOC": Word document, RTF, etc.
          - "ZIP": Any compressed file(s).
      x-oapi-codegen-extra-tags:
        audit: keep
    Data-URI-Base64:
      description: A Base64-encoded string or URI representing the data.
      oneOf:
        - type: object
          readOnly: true
          required:
            - uri
          properties:
            uri:
              type: string
              description: URI identifying the resource location.
              example: >-
                https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg
              x-oapi-codegen-extra-tags:
                audit: keep
        - type: object
          required:
            - base64
          properties:
            base64:
              type: string
              description: Base64-encoded string of the raw attachment data.
              example: ZG9jdW1lbnQgaW1hZ2UgZ29lcyBoZXJl
              x-oapi-codegen-extra-tags:
                audit: redact
    Document-Attachment-Retrieval-Status:
      type: string
      readOnly: true
      enum:
        - NORMAL
        - EXCLUDED
        - FAILED
      description: >-
        The reason why the data in a response is missing.


        - "NORMAL": The data was retrieved and is included. If it is empty, then
          it was never provided or was provided empty.

        - "EXCLUDED": The retrieval request was not for 'full' data, or the
        object
          has been deleted, so the data is not included.

        - "FAILED": The data could not be retrieved from the secure document
          store.

        The retrievalStatus enum will not usually be set in a request. If an

        attachment in a response has a 'FAILED' retrieval state, then

        that object should not be sent back in a future update. It should

        either be omitted or the original data should be resent if it is
        available

        from another source. However, it is safe to send the object in an update

        with the state received in a response. Any state other than 'NORMAL' (or

        '') will cause the blank data to be ignored, but other fields in the

        object will be updated if needed.
      x-oapi-codegen-extra-tags:
        audit: keep
    Date-Type:
      type: string
      default: GREGORIAN
      enum:
        - BUDDHIST
        - DISCORDIAN
        - GREGORIAN
        - HEBREW
        - ISLAMIC
        - JULIAN
        - LUNAR
        - MESO_AMERICAN
        - PERSIAN
        - OTHER
      description: >-
        The calendar system used for the date, e.g., BUDDHIST, DISCORDIAN,
        GREGORIAN, HEBREW, ISLAMIC, JULIAN, LUNAR, MESO_AMERICAN, PERSIAN, or
        OTHER.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Supplementary-Data-Base:
      type: object
      description: Supplementary data associated with a document.
      required:
        - type
      properties:
        type:
          type: string
          description: >-
            The document type that defines the type of supplementary data
            returned.
          enum:
            - NATIONAL_HEALTH_ID
            - BIRTH_CERT
            - NATIONAL_ID
            - CITIZENSHIP
            - PASSPORT
            - MARRIAGE_CERT
          x-oapi-codegen-extra-tags:
            audit: keep
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````